petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetRHSFunction

Returns the vector where the right hand side is stored and the function/context to compute it.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRHSFunction(TS ts,Vec *r,TSRHSFunction *func,void **ctx)

Not Collective Many br

### Input Parameter

ts -the TS context Many br

### Output Parameter

| r | - vector to hold computed right hand side (or NULL) Many br
| func | - the function to compute right hand side (or NULL) Many br
| ctx | - the function context (or NULL) Many br

Many br

### Keywords

TS, nonlinear, get, function

### See Also

TSSetRHSFunction(), SNESGetFunction()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages